# hy-hero

<!-- Auto Generated Below -->

## Properties

| Property       | Attribute       | Description | Type                                                                        | Default                 |
| -------------- | --------------- | ----------- | --------------------------------------------------------------------------- | ----------------------- |
| `colorVariant` | `color-variant` |             | `HeroColorVariant.black \| HeroColorVariant.blue \| HeroColorVariant.white` | `HeroColorVariant.blue` |
| `description`  | `description`   |             | `string`                                                                    | `undefined`             |
| `heading`      | `heading`       |             | `string`                                                                    | `undefined`             |
| `image`        | `image`         |             | `string`                                                                    | `undefined`             |
| `scLabel`      | `sc-label`      |             | `string`                                                                    | `undefined`             |
| `url`          | `url`           |             | `string`                                                                    | `undefined`             |
| `urlTitle`     | `url-title`     |             | `string`                                                                    | `undefined`             |

## Dependencies

### Depends on

- [hy-main-content-wrapper](../hy-main-content-wrapper)
- [hy-icon](../icon)

### Graph

```mermaid
graph TD;
  hy-hero --> hy-main-content-wrapper
  hy-hero --> hy-icon
  style hy-hero fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
